# Standard library header <bit>

From cppreference.com
< cpp‎ | header

This header is part of the numeric library.

### Functions

bit_cast | reinterpret the object representation of one type as that of another (function template)
ispow2 | checks if a number is an integral power of two (function template)
ceil2 | finds the smallest integral power of two not less than the given value (function template)
floor2 | finds the largest integral power of two not greater than the given value (function template)
log2p1 | finds the smallest number of bits needed to represent the given value (function template)

### Synopsis

    namespace std {
        // bit_cast
        template<typename To, typename From>
        constexpr To bit_cast(const From& from) noexcept;

        // integral powers of 2
        template <class T>
        constexpr bool ispow2(T x) noexcept;
        template <class T>
        constexpr T ceil2(T x) noexcept;
        template <class T>
        constexpr T floor2(T x) noexcept;
        template <class T>
        constexpr T log2p1(T x) noexcept;
    }

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/header/bit&oldid=107866"